Conference rooms

List conference rooms

get

Retrieve a collection of conference rooms

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
filterstringOptional

Use the filter query parameter to retrieve just a subset of a collection.

searchstringOptional

Use the search query parameter to restrict the results of a request to match a search criterion.

orderbystringOptional

Use the orderby query parameter to specify the sort order of the items returned from server.
The default order is ascending order.

skipinteger · int32Optional

Use the skip query parameter to set the number of items to skip at the start of a collection.

Default: 0
topinteger · int32 · min: 1 · max: 100Optional

Use the top query parameter to specify the page size of the result set.

Default: 100
Responses
chevron-right
200

OK

application/json
countinteger · int64Optional

Total number of resource.

Example: 100
get
/conference_rooms

Create a conference room

post

Create a conference room

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
extension_numberstring · min: 3 · max: 64Required

The extension number.

Pattern: [0-9]{3,64}
modestring · enumRequired

The conference room mode.
Can be either:

  • AUDIO: audio conference room.
  • VIDEO: video conference room.
Possible values:
controlstring · enumOptional

The conference control type.
Can be either:

  • FREE: the free mode.
  • MASTER: the master mode.
Default: FREEPossible values:
heightinteger · int32 · min: 144 · max: 1920Optional

The height for video conference room.
Only valid in VIDEO mode.

Default: 720
widthinteger · int32 · min: 144 · max: 1920Optional

The width for video conference room.
Only valid in VIDEO mode.

Default: 1280
bitrateinteger · int32 · min: 128 · max: 10240Optional

The transmission rate for video conference room.
Only valid in VIDEO mode.

Default: 1024
framerateinteger · min: 5 · max: 30Optional

The framerate for video conference room.
Only valid in VIDEO mode.

Default: 15
layoutstring · enumOptional

The number of grids allowed for video conference room.
Only valid in VIDEO mode.
Can be either:

  • LAYOUT0:
  • LAYOUT1:
  • LAYOUT2:
  • LAYOUT3:
  • LAYOUT4:
  • LAYOUT6:
  • LAYOUT9:
Default: LAYOUT0Possible values:
subjectstring · min: 1 · max: 64Required

The subject of conference room.

languagestringOptional

BCP 47 Language Tags (The Internet Best Current Practices (BCP) for language tags). A language tag is composed of a sequence of one or more subtags such as language, region, variant and script subtags. When a language tag is comprised of more than one subtag, the subtag values are separated by the "-" character. You will most commonly find language tags written with 2 subtags - language and region. For example: en-US.

Example: en-US
capacityinteger · int32 · min: 1 · max: 200Required

The maximum number of participants allowed in the room.

Default: 9
admin_pinstring · min: 3 · max: 6Optional

The PIN for admin of the conference room. Only numeric sequences are allowed.

room_pinstring · min: 3 · max: 6Optional

The PIN for the conference room. Only numeric sequences are allowed.

enable_recordingbooleanOptional

Whether to enable recording when created.

Default: false
enable_promptbooleanOptional

Whether to enable voice menu.

Default: true
timezonestringOptional

The IANA Time Zone names, such as "Asia/Shanghai".

scheduled_start_atall ofOptional

The scheduled start time of meeting.

string · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
scheduled_end_atall ofOptional

The scheduled end time of meeting.

string · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
numbersstring · max: 128Optional

Dial from landline/mobile phone to this number.

external_inviteesstringOptional

The invitees to send invitation emails to.

custom_optionsstringOptional

Some custom configuration options serialized as json string

Responses
post
/conference_rooms

Retrieve a conference room

get

Retrieve a conference room.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idall ofRequired

The unique ID of conference room.

stringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
chevron-right
200

OK

application/json
idall ofOptional

The unique ID of conference room.

stringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
extension_numberstring · min: 3 · max: 64Optional

The extension number.

Pattern: [0-9]{3,64}
modestring · enumOptional

The conference room mode.
Can be either:

  • AUDIO: audio conference room.
  • VIDEO: video conference room.
Possible values:
controlstring · enumOptional

The conference control type.
Can be either:

  • FREE: the free mode.
  • MASTER: the master mode.
Default: FREEPossible values:
heightinteger · int32 · min: 144 · max: 1920Optional

The height for video conference room.
Only valid in VIDEO mode.

Default: 720
widthinteger · int32 · min: 144 · max: 1920Optional

The width for video conference room.
Only valid in VIDEO mode.

Default: 1280
bitrateinteger · int32 · min: 128 · max: 10240Optional

The transmission rate for video conference room.
Only valid in VIDEO mode.

Default: 1024
framerateinteger · min: 5 · max: 30Optional

The framerate for video conference room.
Only valid in VIDEO mode.

Default: 15
layoutstring · enumOptional

The number of grids allowed for video conference room.
Only valid in VIDEO mode.
Can be either:

  • LAYOUT0:
  • LAYOUT1:
  • LAYOUT2:
  • LAYOUT3:
  • LAYOUT4:
  • LAYOUT6:
  • LAYOUT9:
Default: LAYOUT0Possible values:
subjectstring · min: 1 · max: 64Optional

The subject of conference room.

languagestringOptional

BCP 47 Language Tags (The Internet Best Current Practices (BCP) for language tags). A language tag is composed of a sequence of one or more subtags such as language, region, variant and script subtags. When a language tag is comprised of more than one subtag, the subtag values are separated by the "-" character. You will most commonly find language tags written with 2 subtags - language and region. For example: en-US.

Example: en-US
capacityinteger · int32 · min: 1 · max: 200Optional

The maximum number of participants allowed in the room.

Default: 9
admin_pinstring · min: 3 · max: 6Optional

The PIN for admin of the conference room. Only numeric sequences are allowed.

room_pinstring · min: 3 · max: 6Optional

The PIN for the conference room. Only numeric sequences are allowed.

enable_recordingbooleanOptional

Whether to enable recording when created.

Default: false
enable_promptbooleanOptional

Whether to enable voice menu.

Default: true
timezonestringOptional

The IANA Time Zone names, such as "Asia/Shanghai".

created_atall ofOptional

The creation time of conference room.

string · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
scheduled_start_atall ofOptional

The scheduled start time of meeting.

string · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
scheduled_end_atall ofOptional

The scheduled end time of meeting.

string · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
numbersstring · max: 128Optional

Dial from landline/mobile phone to this number.

external_inviteesstringOptional

The invitees to send invitation emails to.

domainstring · min: 1 · max: 280Optional

The SIP domain of tenant.
It is usually a fully qualified domain name (FQDN). If there is no FQDN, you can also use the IP address of the PBX server as the SIP domain. The SIP domain name is only used for SIP message authentication and does not require analysis.

sbc_hoststringOptional

The SBC domain.

sbc_portall ofOptional

The SBC web port fot https.

Default: 8883
integer · int32 · max: 65535Optional

A port number is a 16-bit unsigned integer, thus ranging from 0 to 65535. For TCP, port number 0 is reserved and cannot be used, while for UDP, the source port is optional and a value of zero means no port

Example: 80
tokenstringOptional

Access token to be passed as a header

Example: 4DFCF1D4C30B4D798ECE3AE43769F008.
custom_optionsstringOptional

Some custom configuration options serialized as json string

get
/conference_rooms/{id}

Update a conference room

post

Update a conference room

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idall ofRequired

The unique ID of conference room.

stringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
controlstring · enumOptional

The conference control type.
Can be either:

  • FREE: the free mode.
  • MASTER: the master mode.
Default: FREEPossible values:
heightinteger · int32 · min: 144 · max: 1920Optional

The height for video conference room.
Only valid in VIDEO mode.

Default: 720
widthinteger · int32 · min: 144 · max: 1920Optional

The width for video conference room.
Only valid in VIDEO mode.

Default: 1280
bitrateinteger · int32 · min: 128 · max: 10240Optional

The transmission rate for video conference room.
Only valid in VIDEO mode.

Default: 1024
framerateinteger · min: 5 · max: 30Optional

The framerate for video conference room.
Only valid in VIDEO mode.

Default: 15
layoutstring · enumOptional

The number of grids allowed for video conference room.
Only valid in VIDEO mode.
Can be either:

  • LAYOUT0:
  • LAYOUT1:
  • LAYOUT2:
  • LAYOUT3:
  • LAYOUT4:
  • LAYOUT6:
  • LAYOUT9:
Default: LAYOUT0Possible values:
subjectstring · min: 1 · max: 64Optional

The subject of conference room.

languagestringOptional

BCP 47 Language Tags (The Internet Best Current Practices (BCP) for language tags). A language tag is composed of a sequence of one or more subtags such as language, region, variant and script subtags. When a language tag is comprised of more than one subtag, the subtag values are separated by the "-" character. You will most commonly find language tags written with 2 subtags - language and region. For example: en-US.

Example: en-US
capacityinteger · int32 · min: 1 · max: 200Optional

The maximum number of participants allowed in the room.

Default: 9
admin_pinstring · min: 3 · max: 6Optional

The PIN for admin of the conference room. Only numeric sequences are allowed.

room_pinstring · min: 3 · max: 6Optional

The PIN for the conference room. Only numeric sequences are allowed.

enable_promptbooleanOptional

Whether to enable voice menu.

Default: true
timezonestringOptional

The IANA Time Zone names, such as "Asia/Shanghai".

scheduled_start_atall ofOptional

The scheduled start time of meeting.

string · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
scheduled_end_atall ofOptional

The scheduled end time of meeting.

string · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
numbersstring · max: 128Optional

Dial from landline/mobile phone to this number.

external_inviteesstringOptional

The invitees to send invitation emails to.

custom_optionsstringOptional

Some custom configuration options serialized as json string

Responses
chevron-right
200

OK

No content

post
/conference_rooms/{id}

No content